/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_TIMER demo for the TOSHIBA
 *          'TMPM374' Device Series 
 * @version V0.101
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm374_tmrb.h"
#include "led.h"

/* Private define ------------------------------------------------------------*/

#define TMRB_1MS        0x2710U /* fsys = fc = 10MHz * PLL = 80MHz, fphiT0 = fperiph = fgear = fc */
                                 /* ftmrb = 1/8fphiT0 = 1/8 * 80 = 10MHz, Ttmrb = 0.1us, 1000us/0.1us = 10000 = 0x2710 */

/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/

#endif
