/** 
 *******************************************************************************
 * @file    tmrb.h
 * @brief   the application functions of TRMOSC demo for the TOSHIBA
 *          'TMPM374' Device Series 
 * @version 0.0.0.1
 * @date    2014/09/25
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMRB_H
#define __TMRB_H

/* Includes ------------------------------------------------------------------*/

/* Private define ------------------------------------------------------------*/

/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/
void InitTMRB3(void);
void InitTMRB6(void);
void StartCapture(void);
uint32_t GetCaptureData(void);
void StopCapture(void);

#endif /* __TMRB_H */
