/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of ENC_Roller demo for the TOSHIBA
 *          'TMPM374' Device Series 
 * @version V0.101
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm374_gpio.h"
#include "tmpm374_enc.h"
#include "tmpm374_enc_int.h"
#include "led.h"

/* Private define ------------------------------------------------------------*/

/* Private function prototypes -----------------------------------------------*/
void Delay1(void);
void Delay2(uint32_t time);
/* External function prototypes ----------------------------------------------*/
#endif
