/** 
 *******************************************************************************
 * @file    IOSCadjustment.h
 * @brief   the application functions of TRMOSC demo for the TOSHIBA
 *          'TMPM374' Device Series 
 * @version 0.0.0.1
 * @date    2014/09/25
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __IOSCADJUSTMENT_H
#define __IOSCADJUSTMENT_H

/* Includes ------------------------------------------------------------------*/

/* define ------------------------------------------------------------*/
#define  TRMOSC_RUN				(1)					/*  */
#define  TRMOSC_DONE			(0)					/*  */
#define  TRMOSC_ERROR			(-1)				/*  */

typedef struct
{
	uint32_t MeasureVal;
	int32_t  MeasureDiff;
	int32_t  CoarseTrim;
	int32_t  FineTrim;
} IOSCADJ_TypeDef;

/* External function prototypes ----------------------------------------------*/
int32_t IOSCAdjustment(void);
void InitialTRMOSC(void);

#endif /* __IOSCADJUSTMENT_H */
