/** 
 *******************************************************************************
 * @file    gpio.c
 * @brief   the application functions of TRMOSC demo for the TOSHIBA
 *          'TMPM374' Device Series 
 * @version 0.0.0.1
 * @date    2014/09/25
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "stdint.h"
#include "tmpm374_gpio.h"

/**
  * @brief  initialize gpio
  * @param  None
  * @retval None
  */
void InitGpio(void)
{
	GPIO_EnableFuncReg(GPIO_PA, GPIO_FUNC_REG_2, GPIO_BIT_6);		/* TB6IN function */
	GPIO_SetInputEnableReg(GPIO_PA, GPIO_BIT_6, ENABLE);
	
	GPIO_EnableFuncReg(GPIO_PE, GPIO_FUNC_REG_1, GPIO_BIT_7);		/* TB3OUT function */
	GPIO_SetOutputEnableReg(GPIO_PE, GPIO_BIT_7, ENABLE);
}
